Upgrading from 16.04 to 18.04 resulted in an error

Bug #1787521 reported by Aurosutru on 2018-08-17
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Undecided
Unassigned

Bug Description

When upgrading from 16.04 to 18.04 the following error was reported:

Can't install 'ubuntu-desktop'

It was impossible to install a required package. Please report this as a bug using 'ubuntu-bug ubuntu-release-upgrader-core' in a terminal.

"Preparing to upgrade" was checked and the next step appeared to be underway.

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: ubuntu-release-upgrader-core 1:16.04.25
ProcVersionSignature: Ubuntu 4.4.0-133.159-generic 4.4.134
Uname: Linux 4.4.0-133-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.18
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: Unity
Date: Fri Aug 17 10:00:18 2018
InstallationDate: Installed on 2016-09-16 (699 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to xenial on 2018-08-17 (0 days ago)
VarLogDistupgradeTermlog:

Aurosutru (2fullnesses) wrote :
tags: added: xenial2bionic
Brian Murray (brian-murray) wrote :

2018-08-17 09:23:52,502 DEBUG none of the '['ubuntu-desktop', 'kubuntu-desktop', 'xubuntu-core', 'xubuntu-desktop', 'ubuntustudio-desktop', 'mythbuntu-desktop', 'kubuntu-netbook', 'lubuntu-core', 'lubuntu-desktop', 'ubuntu-gnome-desktop', 'ubuntu-mate-core', 'ubuntu-mate-cloudtop', 'ubuntu-mate-desktop', 'ubuntukylin-desktop']' meta-pkgs installed
2018-08-17 09:23:52,502 DEBUG guessing 'ubuntu-desktop' as missing meta-pkg
2018-08-17 09:23:52,774 ERROR failed to mark 'ubuntu-desktop' for install (E:Unable to correct problems, you have held broken packages.)

Please install the ubuntu-desktop package and try the upgrade again. Thanks!

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Incomplete
Aurosutru (2fullnesses) wrote :

It's upgrading now on a slow 3G connection. The only problem was that the same error message appeared briefly in a notification box, but didn't stop the upgrade process this time. Thanks.

Launchpad Janitor (janitor) wrote :

[Expired for ubuntu-release-upgrader (Ubuntu) because there has been no activity for 60 days.]

Changed in ubuntu-release-upgrader (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers